package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * SslVpnResourceGroupModifyOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SslVpnResourceGroupModifyOpenApiVo   {
  @JsonProperty("resourcesList")
  @Valid
  private List<String> resourcesList = null;

  public SslVpnResourceGroupModifyOpenApiVo resourcesList(List<String> resourcesList) {
    this.resourcesList = resourcesList;
    return this;
  }

  public SslVpnResourceGroupModifyOpenApiVo addResourcesListItem(String resourcesListItem) {
    if (this.resourcesList == null) {
      this.resourcesList = new ArrayList<>();
    }
    this.resourcesList.add(resourcesListItem);
    return this;
  }

  /**
   * Resources ID list of the SSL VPN resource group. Resource can be created using 'Create SSL VPN resource' interface, and resource ID can be obtained from 'Get resource list for SSL VPN server' interface.
   * @return resourcesList
  */
  @ApiModelProperty(value = "Resources ID list of the SSL VPN resource group. Resource can be created using 'Create SSL VPN resource' interface, and resource ID can be obtained from 'Get resource list for SSL VPN server' interface.")


  public List<String> getResourcesList() {
    return resourcesList;
  }

  public void setResourcesList(List<String> resourcesList) {
    this.resourcesList = resourcesList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SslVpnResourceGroupModifyOpenApiVo sslVpnResourceGroupModifyOpenApiVo = (SslVpnResourceGroupModifyOpenApiVo) o;
    return Objects.equals(this.resourcesList, sslVpnResourceGroupModifyOpenApiVo.resourcesList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(resourcesList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SslVpnResourceGroupModifyOpenApiVo {\n");
    
    sb.append("    resourcesList: ").append(toIndentedString(resourcesList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

